
QGIS Application - Bug report #106

symbology is lost when trying to update it after modifying fields

2006-05-01 05:22 AM - werchowyna-epf-pl -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10165

Description

1. add a grass vector layer (say "parcels")

2. properties -> symbology -> Legend type -> Unique value (Classification field: COVER_MAPS)

3. setup the symbology, ok, save project

4. exit qgis

5. in Grass replace 'meadow' within the COVER_MAPS in "parcels" layer with eg. 'pasture' (echo "UPDATE parcels SET

COVER_MAPS='pasture' WHERE COVER_MAPS='meadow'" | db.execute)

6. qgis, open the project saved in #3907

7. select the layer added in #3905, properties -> symbology

8. the new value 'pasture' is not there, still 'meadow'...

9. Legend type -> Unique value (Classification field: COVER_MAPS)

10. 'pasture' appears, but all the symbology (colors, line widths etc.) previously setup in #3906 is lost!

11. could it be preserved please, only the now missing 'meadow' removed and new 'pasture' set to anything?

Maciek

History

#1 - 2006-06-01 12:22 AM - Marco Hugentobler

In Qgis, data source and layer symbolisation are independent of each other. Therefore, the changed fieldname is not updated in the symbology (and in my

opinion, it should not be updated automatically). I think the best solution would be to let the user editing the (field) values in the unique value dialog, similar

to the 'graduated symbol' dialog, where the user may double click on the value list and edit the individual entries without loosing the already inserted

symbology.

I think this is a missing feature rather than a bug, so i try to adress it shortly after 0.8 is released.

#2 - 2008-03-19 07:25 AM - leolami -

In 0.9.2 the legend is preserved but the new inserted feutures are not displaied.

#3 - 2008-07-14 02:07 AM - Tim Sutton

Can you verify if this is still an issue? Jurgen made some changes in 0.11.0 to preserve symbol classes when you reclassify.

Thanks

Tim
#4 - 2008-12-13 08:50 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

no response for 5 month.  closing.

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
